package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AorestCoverageVO;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.service_yada.IAorestCoverageService;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 *  森林覆盖率
 * @Author: JinSheng Song
 * @Date: 2022/5/11 9:08
 */
@RestController
@RequestMapping(value = "/business-service/api/Aorest", produces = "application/json;charset=UTF-8")
public class AorestCoverageController {
    //@Autowired
    private IAorestCoverageService service;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/selectAorestCoverage",method = {RequestMethod.POST})
    public AjaxResult selectAorestCoverage(HttpServletResponse response, HttpServletRequest request)
    {
        List<AorestCoverageVO> eastVOSList= service.selectAorestCoverage();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelAorestCoverage",method = {RequestMethod.POST})
    public AjaxResult DelAorestCoverage(@Param("ID") String ID)
    {
        int NUM = service.DelAorestCoverage(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoAorestCoverage",method = {RequestMethod.POST})
    public AjaxResult IntoAorestCoverage(AorestCoverageVO eastVOS)
    {
        int NUM =  service.IntoAorestCoverage(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
