package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.GlobalTypeVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IGlobalTypeService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 *全球各类型占比
     * @Author: JinSheng Song
 * @Date: 2022/5/11 9:05
 */
@RestController
@RequestMapping("/monitor/clobal")
public class GlobalTypeController {
    //@Autowired
    private IGlobalTypeService typeService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/selectGlobalType",method = {RequestMethod.POST})
    public AjaxResult selectGlobalType(HttpServletResponse response, HttpServletRequest request)
    {
        List<GlobalTypeVO> eastVOSList= typeService.selectGlobalType();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelGlobalType",method = {RequestMethod.POST})
    public AjaxResult DelGlobalType(@Param("ID") String ID)
    {
        int NUM = typeService.DelGlobalType(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoGlobalType",method = {RequestMethod.POST})
    public AjaxResult IntoGlobalType(GlobalTypeVO eastVOS)
    {
        int NUM =  typeService.IntoGlobalType(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }

}
