package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.OceanTemperatureVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IOceanTemperatureService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 海洋表面温度监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 9:13
 */
@RestController
@RequestMapping(value = "/business-service/api/Ocean", produces = "application/json;charset=UTF-8")
public class OceanTemperatureController {
    //@Autowired
    private IOceanTemperatureService temperatureService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/selectOcean",method = {RequestMethod.POST})
    public AjaxResult selectOcean(HttpServletResponse response, HttpServletRequest request)
    {
        List<OceanTemperatureVO> eastVOSList= temperatureService.selectOcean();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelOcean",method = {RequestMethod.POST})
    public AjaxResult DelOcean(@Param("ID") String ID)
    {
        int NUM = temperatureService.DelOcean(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoAustralia",method = {RequestMethod.POST})
    public AjaxResult IntoOcean(OceanTemperatureVO eastVOS)
    {
        int NUM =  temperatureService.IntoOcean(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
