package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.RegionVGIVO;
import com.ruoyi.system.domain_yada.RegionalSystemVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IRegionalSystemService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 区域生态系统
 * @Author: JinSheng Song
 * @Date: 2022/5/11 9:12
 */
@RestController
@RequestMapping(value = "/business-service/api/Regional", produces = "application/json;charset=UTF-8")
public class RegionalSystemController {
    //@Autowired
    private IRegionalSystemService systemService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/selectRegional",method = {RequestMethod.POST})
    public AjaxResult selectRegional(HttpServletResponse response, HttpServletRequest request)
    {
        List<RegionalSystemVO> eastVOSList= systemService.selectRegional();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelRegional",method = {RequestMethod.POST})
    public AjaxResult DelRegional(@Param("ID") String ID)
    {
        int NUM = systemService.DelRegional(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoRegional",method = {RequestMethod.POST})
    public AjaxResult IntoRegional(RegionalSystemVO eastVOS)
    {
        int NUM =  systemService.IntoRegional(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
