package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.UrbanVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IUrbanService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 中国城市监测
 * @Author: JinSheng Song
 * @Date: 2022/5/11 10:55
 */
@RestController
@RequestMapping(value = "/business-service/api/Urban", produces = "application/json;charset=UTF-8")
public class UrbanController {
    //@Autowired
    private IUrbanService urbanService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/selectUrban",method = {RequestMethod.POST})
    public AjaxResult selectUrban(HttpServletResponse response, HttpServletRequest request)
    {
        List<UrbanVO> eastVOSList= urbanService.selectUrban();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelUrban",method = {RequestMethod.POST})
    public AjaxResult DelUrban(@Param("ID") String ID)
    {
        int NUM = urbanService.DelUrban(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoUrban",method = {RequestMethod.POST})
    public AjaxResult IntoUrban(UrbanVO eastVOS)
    {
        int NUM =  urbanService.IntoUrban(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
