package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.VegetationCoverageVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IVegetationCoverageService;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 平均植被覆盖度和净初级生产力
 * @Author: JinSheng Song
 * @Date: 2022/5/11 10:56
 */
@RestController
@RequestMapping(value = "/business-service/api/Vegetation", produces = "application/json;charset=UTF-8")
public class VegetationCoverageController {
    //@Autowired
    private IVegetationCoverageService coverageService;

    /**
     * 查询方法
     * @param response
     * @param request
     * @return
     */
    @RequestMapping(value = "/selectVegetation",method = {RequestMethod.POST})
    public AjaxResult selectVegetation(HttpServletResponse response, HttpServletRequest request)
    {
        List<VegetationCoverageVO> eastVOSList= coverageService.selectVegetation();
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID
     * @return
     */
    @RequestMapping(value = "/DelVegetation",method = {RequestMethod.POST})
    public AjaxResult DelVegetation(@Param("ID") String ID)
    {
        int NUM = coverageService.DelVegetation(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS
     * @return
     */
    @RequestMapping(value = "/IntoVegetation",method = {RequestMethod.POST})
    public AjaxResult IntoVegetation(VegetationCoverageVO eastVOS)
    {
        int NUM =  coverageService.IntoVegetation(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
